% this function creates a linear kernel
function y = LKernel(x)
    holder=abs(x) ;
    holds_cond=(holder>= 1);
    neg_holds_cond = ~holds_cond;
    y(holds_cond) = 0;
    y(neg_holds_cond) = 1 - abs(x(~holds_cond));         
end